<?php

declare(strict_types=1);

namespace Macopedia\OrlenShipping\Model\Api;

class Ping
{
    /**
     * @param Client $client
     */
    public function __construct(
        protected readonly Client $client
    ) {
    }

    /**
     * Ping command
     *
     * @return Response
     * @throws OrlenApiException
     */
    public function ping(): Response
    {
        return $this->client->ping();
    }
}
